Name:           fedpkg-minimal
Version:        1.2.0
Release:        %mkrel 4
Summary:        Script to allow fedpkg fetch to work
Group:          Development/Other
License:        GPLv2+
URL:            https://pagure.io/%{name}
Source0:        https://releases.pagure.org/%{name}/%{name}-%{version}.tar.gz
Patch1:         0001-curl-max-time-in-seconds-not-minutes.patch


BuildArch:      noarch

Requires:       curl

Conflicts:      fedpkg


%description
Script for use in Koji to allow sources to be fetched

%prep
%setup -q
%autopatch -p1

%build

%install
install -d %{buildroot}%{_bindir}
install -pm 755 bin/fedpkg %{buildroot}%{_bindir}/fedpkg
install -pm 755 bin/fedpkg-stg %{buildroot}%{_bindir}/fedpkg-stg
install -pm 755 bin/fedpkg-base %{buildroot}%{_bindir}/fedpkg-base

%check
./tests/run-tests.sh

%files
%doc README.md AUTHORS.md
%license LICENSE
%{_bindir}/fedpkg
%{_bindir}/fedpkg-stg
%{_bindir}/fedpkg-base


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.2.0-4.mga10
+ Revision: 2217239
- Mageia 10 Mass Rebuild

* Fri Jan 06 2023 wally <wally> 1.2.0-3.mga9
+ Revision: 1930774
- fix curl timeout

* Sun Nov 20 2022 wally <wally> 1.2.0-2.mga9
+ Revision: 1909231
- install fedpkg-stg and fedpkg-base

* Thu Oct 06 2022 neoclust <neoclust> 1.2.0-1.mga9
+ Revision: 1895072
- New version 1.2.0

* Sun Mar 20 2022 umeabot <umeabot> 1.1.0-4.mga9
+ Revision: 1807886
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1501375
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1278222
- Mageia 7 Mass Rebuild

* Sun Mar 11 2018 tv <tv> 1.1.0-1.mga7
+ Revision: 1208229
- imported package fedpkg-minimal


* Sun Mar 11 2018 Thierry Vignaud <tv@mageia.org> 1.1.0-1.mga7
- import from FC

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 12 2016 Dennis Gilmore <dennis@ausil.us> - 1.1.0-7
- use upstreamed more robust patches for switch to https and src

* Mon Dec 12 2016 Dennis Gilmore <dennis@ausil.us> - 1.1.0-6
- switch the lookcaside cache url to src.fp.o and use https://

* Sun Dec 11 2016 Dennis Gilmore <dennis@ausil.us> - 1.1.0-5
- update patch to support new sources format to work on rhel6

* Thu Dec 08 2016 Dennis Gilmore <dennis@ausil.us> - 1.1.0-4
- add patch to support new sources format

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 23 2015 Pavol Babincak <pbabinca@redhat.com> - 1.1.0-1
- Verify sources
- Add Till and Jesse to Authors and Till to Copyright header
- Remove redundant whitespace at the end of file
- Simplify parsing sources file
- Abort on errors
- Added copyright and authors
- Use curl instead of wget

* Wed Mar 04 2015 Pavol Babincak <pbabinca@redhat.com> - 1.0.0-3
- Use %%setup instead of %%autosetup in %%prep
- Define BuildRoot
- Move license back under %%doc macro

* Fri Feb 06 2015 Pavol Babincak <pbabinca@redhat.com> - 1.0.0-2
- use %%license tag instead of %%doc for the LICENSE file (rhbz#1189611)
- preserve timestamp of original installed files (rhbz#1189611)
- drop installation README.md and LICENSE from %%install section to install it
  only once from %%doc and %%license macro (rhbz#1189611)

* Wed Feb 04 2015 Pavol Babincak <pbabinca@redhat.com> - 1.0.0-1
- Initial release made from
  http://koji.fedoraproject.org/koji/packageinfo?packageID=17475
